---
updatedAt: 2026-05-27T12:52:02.000Z
agentTools:
  projectIndex: https://developer.onetrust.com/onetrust/llms.txt
---

# Get List of Emission Factors

Use this API to get list of emission factors.

### Example Request

`GET https://{hostname}/api/esg-management/v1/emission-factors`

`GET https://trial.onetrust.com/api/esg-management/v1/emission-factors`

> ❗️ End of Support Notification
>
> As of June 8, 2025, these APIs are now deprecated. For more information, see [OneTrust API Sunsetting & Deprecation Guidelines](https://developer.onetrust.com/onetrust/reference/onetrust-api-sunsetting-deprecation-guidelines).

Use this API to get a list of emission factors.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "ESG Program Reporting & Disclosures",
    "version": "1.0",
    "contact": {
      "name": "OneTrust Support",
      "url": "https://my.onetrust.com/s/contactsupport"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    }
  },
  "servers": [
    {
      "url": "https://{hostname}/api/esg-management",
      "variables": {
        "hostname": {
          "default": "hostname",
          "description": "The OneTrust hostname such as app.onetrust.com, app-eu.onetrust.com, app-de.onetrust.com, app-uk.onetrust.com, app-apac.onetrust.com, trial.onetrust.com, or uat.onetrust.com."
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Carbon Management",
      "description": "APIs to manage emission factors and emission transactions.",
      "externalDocs": {
        "description": "OpenAPI 3.0.1 - Download Definition",
        "url": "https://developer.onetrust.com/onetrust/openapi/esg-program-reporting-disclosures.json"
      }
    }
  ],
  "x-onetrust": {
    "spec-label": "OpenAPI 3.0.1",
    "links": [
      {
        "ESG Program Reporting & Disclosures Knowledge Base": "https://my.onetrust.com/s/topic/0TO3q000000JP7TGAW/esg-program-reporting-disclosures"
      },
      "{'ESG Program Reporting & Disclosures Knowledge Base': 'https://my.onetrust.com/s/topic/0TO3q000000JP7TGAW/esg-program-reporting-disclosures'}"
    ]
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false,
    "metrics-enabled": false
  },
  "paths": {
    "/v1/emission-factors": {
      "get": {
        "operationId": "getAllEmissionFactorsBasicEntityDetails",
        "summary": "Get List of Emission Factors",
        "description": "Use this API to get list of emission factors.\n\n### Example Request\n\n`GET https://{hostname}/api/esg-management/v1/emission-factors`\n\n`GET https://trial.onetrust.com/api/esg-management/v1/emission-factors`",
        "tags": [
          "Carbon Management"
        ],
        "x-onetrust": {
          "release-status": "Deprecated",
          "spec-label": "https://developer.onetrust.com/onetrust/openapi/esg-program-reporting-disclosures.json"
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BasicEntityDetail"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "429": {
            "description": "Too Many Requests"
          },
          "500": {
            "description": "Internal Server Error"
          }
        },
        "deprecated": true,
        "security": [
          {
            "oauth2": [
              "ESG_READ"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "BasicEntityDetail": {
        "type": "object",
        "properties": {
          "id": {
            "description": "The unique identifier of the entity.",
            "type": "string",
            "format": "uuid",
            "example": "c21319953-b4b5-4042-8cb9-b78038cc4c51"
          },
          "name": {
            "description": "The name of the entity.",
            "type": "string",
            "example": "Emission Factor-1"
          }
        }
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://{hostname}/api/access/v1/oauth/token",
            "scopes": {
              "ESG": "ESG read and write scope for external systems",
              "ESG_READ": "ESG read scope for external systems"
            }
          }
        }
      }
    }
  }
}
```